/// <reference types="react" />
import { CSSObject } from 'styled-components';
import { ConditionalStyles, TableColumn, Format, TableRow, Selector, SortDirection, SortFunction } from './types';
export declare function isEmpty(field?: string | number | undefined): boolean;
export declare function setRowData<T>(rows: T[], selector: Selector<T> | null | undefined, direction: SortDirection, sortServer: boolean, sortFn?: SortFunction<T> | null): T[];
export declare function sort<T = TableRow>(rows: T[], selector: Selector<T> | null | undefined, direction: SortDirection, sortFn?: SortFunction<T> | null): T[];
export declare function getProperty<T extends Record<string, any>>(row: T, selector: Selector<T> | undefined | null | unknown, format: Format<T> | undefined | null, rowIndex: number): React.ReactNode;
export declare function insertItem<T>(array: T[] | undefined, item: T, index?: number): T[];
export declare function removeItem<T extends TableRow>(array: T[] | undefined, item: T, keyField?: string): T[];
export declare function decorateColumns<T>(columns: TableColumn<T>[]): TableColumn<T>[];
export declare function getSortDirection(ascDirection?: boolean | undefined): SortDirection;
export declare function handleFunctionProps(object: {
    [key: string]: unknown;
}, ...args: unknown[]): {
    [key: string]: unknown;
};
export declare function getNumberOfPages(rowCount: number, rowsPerPage: number): number;
export declare function recalculatePage(prevPage: number, nextPage: number): number;
export declare const noop: () => null;
export declare function getConditionalStyle<T>(row: T, conditionalRowStyles?: ConditionalStyles<T>[], baseClassNames?: string[]): {
    style: CSSObject;
    classNames: string;
};
export declare function isRowSelected<T extends TableRow>(row: T, selectedRows?: T[], keyField?: string): boolean;
export declare function isOdd(num: number): boolean;
export declare function findColumnIndexById<T>(columns: TableColumn<T>[], id: string | undefined): number;
export declare function equalizeId(a: string | number | undefined, b: string | number | undefined): boolean;
